package com.cj.jiaqingjiayi.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ManicuristVO implements Serializable {
    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 美甲师的服务评分
     */
    private BigDecimal rating;

    /**
     * 美甲师头像的存储路径或链接
     */
    private String manicuristAvatar;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}
