package com.cj.jiaqingjiayi.model.request.manicurist;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class MyManicuristUpdateRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -3025700511375845200L;
    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;


    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 美甲师头像的存储路径或链接
     */
    private String manicuristAvatar;
}
