package com.cj.jiaqingjiayi.model.request.order;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单详情创建请求
 */
@Data
public class OrderItemsAddRequest implements Serializable {

    /**
     * 关联的商品id
     */
    private Long commoditiesId;

    /**
     * 购买数量
     */
    private Integer quantity;

    /**
     * 规格属性列表
     */
    private String attributeNames;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}