package com.cj.jiaqingjiayi.model.request.specifications;


import com.cj.jiaqingjiayi.model.request.attribute.AttributeUpdateRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class SpecificationsUpdateRequest implements Serializable {

    /**
     * 规格id
     */
    private Long id;

    /**
     * 规格名称
     */
    private String specificationsName;

    /**
     * 属性请求体列表
     */
    private List<AttributeUpdateRequest> attributeUpdateRequests;

    @Serial
    private static final long serialVersionUID = -2573217224030065261L;
}
