package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Collect;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.collect.CollectAddRequest;

import javax.servlet.http.HttpServletRequest;

/**
* @author 高木
* @description 针对表【collect(收藏)】的数据库操作Service
* @createDate 2024-12-02 14:11:46
*/
public interface CollectService extends IService<Collect> {

    /**
     * 校验
     */
    void validCollect(CollectAddRequest collectAddRequest);

    /**
     * 添加收藏
     */
    Boolean addCollect(Collect collect, HttpServletRequest request);
}
