package com.cj.jiaqingjiayi.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.domain.OrderItems;
import com.cj.jiaqingjiayi.model.domain.Orders;
import com.cj.jiaqingjiayi.model.vo.OrderItemsVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【order_items(详细订单表)】的数据库操作Service
* @createDate 2024-11-10 14:25:15
*/
public interface OrderItemsService extends IService<OrderItems> {

    /**
     * 校验订单商品
     */
    void validOrderItems(OrderItems orderItems);

    /**
     * 获取订单详情视图信息
     */
    OrderItemsVO getOrderItemsVO(OrderItems orderItems);

    /**
     * 获取订单详情视图信息
     */
    List<OrderItemsVO> getOrderItemsVO(List<OrderItems> orderItemsList);
}
